### Method

# FwupdPlugin UsbInterface get_endpoints

since: 2.0.0

#### Declaration [src]

    GPtrArray*
    fu_usb_interface_get_endpoints (
      FuUsbInterface* self
    )

#### Description [src]

Gets interface endpoints.

Available since: 2.0.0

#### Return value

Type: An array of `FuUsbEndpoint*`

An array of endpoints.

The caller of the method takes ownership of the data container, but not the data inside it.